import org.json.JSONStringer;
import org.json.JSONArray;
import org.json.JSONObject;
import org.json.JSONException;

public class TestObject {

    public static void main(String args[]) {
        try {

            JSONStringer js = new JSONStringer();
            // Begin array
            js.array();
            js.object().key("name").value("jason").key("email").value("jason@gmail.com").endObject();
            js.object().key("name").value("alex").key("email").value("alex@hotmail.com").endObject();
            js.endArray();
            // end array

            // Print out JSON string
            System.out.println(js.toString());

            // Retrieve the JSONObject
            JSONArray ja = new JSONArray(js.toString());
            for (int i = 0; i < ja.length(); i++) {
                JSONObject obj = ja.getJSONObject(i);
                System.out.println(obj.getString("name"));
                System.out.println(obj.getString("email"));
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }

    }
}
